
#include <stdlib.h>			// exit
#include <Foundation/Foundation.h>
#include "exceptionServer.h"


int main(int argc, char** argv)
{
    NSAutoreleasePool	*arp = [[NSAutoreleasePool alloc] init];
    id			serverConnection, serverObject;
    int			value;

    NS_DURING
	serverConnection = [[NSConnection
		connectionWithRegisteredName:@"server" host:@"*"] retain];
	if(serverConnection == nil) {
	    NSLog(@"couldn't connect to server (not responding)");
	    exit(1);
	}
	serverObject = [serverConnection rootProxy];
    NS_HANDLER
        NSLog(@"couldn't connect to server (connection refused)");
	NSLog(@"%@: %@", [localException name], [localException reason]);
	exit(1);
    NS_ENDHANDLER

    for(;;) {
	NSAutoreleasePool	*loopArp = [[NSAutoreleasePool alloc] init];
	value = [[serverObject doIt:42] intValue];
	[loopArp release];
    }

    [arp release];
    return 0;
}
