
#include <Foundation/Foundation.h>
#include "exceptionServer.h"


@implementation Server

- (NSString *)doIt:(int)value
{
    if(value == 42)
	[NSException raise:@"no" format:@"go"];
    return [NSString stringWithString:@"42"];
}

@end


int main()
{
    NSAutoreleasePool	*arp = [[NSAutoreleasePool alloc] init];
    id			server, serverConnection;

    server = [[Server alloc] init];
    NS_DURING
	serverConnection = [NSConnection
		newRegisteringAtName:@"server" withRootObject:server];
    NS_HANDLER
        NSLog(@"unable to register service; server may already be running");
	exit(1);
    NS_ENDHANDLER

    NS_DURING
	[[NSRunLoop currentRunLoop] run];
    NS_HANDLER
	NSLog(@"%@: %@", [localException name], [localException reason]);
    NS_ENDHANDLER

    [server release];
    [arp release];
    return 0;
}
